Resource

SCIM Log

Logs of all SCIM provisioning operations for this project.

The SCIM Log Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    projectScim
    Type
    Entity
    Description

    Relation to ProjectSCIM Resource in which this log belongs

  • Name
    projectScimId
    Type
    Object IDRequired
    Description

    ID of your Project SCIM configuration

  • Name
    operationType
    Type
    TextRequired
    Description

    Type of SCIM operation (e.g., CreateUser, UpdateUser, DeleteUser, ListUsers, GetUser, CreateGroup, UpdateGroup, DeleteGroup, ListGroups, GetGroup, BulkOperation)

  • Name
    status
    Type
    TextRequired
    Description

    Status of the SCIM operation

  • Name
    statusMessage
    Type
    Long Text
    Description

    Short error or status description

  • Name
    logBody
    Type
    Very Long Text
    Description

    Detailed JSON with request/response data

  • Name
    httpMethod
    Type
    Text
    Description

    HTTP method used (GET, POST, PUT, PATCH, DELETE)

  • Name
    requestPath
    Type
    Long Text
    Description

    The SCIM endpoint path

  • Name
    httpStatusCode
    Type
    Number
    Description

    Response HTTP status code

  • Name
    affectedUserEmail
    Type
    Email
    Description

    Email of the user affected by this operation

  • Name
    affectedGroupName
    Type
    Text
    Description

    Name of the group/team affected by this operation

GETorPOST/api/project-scim-log/get-list

List

This endpoint allows you to retrieve a paginated list of all your SCIM Log. By default, a maximum of ten SCIM Log are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/project-scim-log/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "operationType": true,
    "projectId": true,
    "projectScimId": true,
    "status": true,
    "_id": true
  },
  "query": {
    "operationType": "Example operation type"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37786f80-28fe-11f1-b591-3fdcef396aba",
      "operationType": "Example operation type",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "projectScimId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status"
    },
    {
      "_id": "37786f81-28fe-11f1-b591-3fdcef396aba",
      "operationType": "Example operation type",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "projectScimId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status"
    },
    {
      "_id": "37786f82-28fe-11f1-b591-3fdcef396aba",
      "operationType": "Example operation type",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "projectScimId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status"
    }
  ]
}
GETorPOST/api/project-scim-log/:id/get-item

Get item by ID

This endpoint allows you to retrieve SCIM Log by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/project-scim-log/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "operationType": true,
    "projectId": true,
    "projectScimId": true,
    "status": true,
    "_id": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "operationType": "Example operation type",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "projectScimId": "550e8400-e29b-41d4-a716-446655440000",
  "status": "Example status"
}
POST/api/project-scim-log/count

Count

This endpoint allows you to retrieve the count of all your SCIM Log.

Optional Request Body

Count Request

POST
/api/project-scim-log/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "operationType": "Example operation type"
  }
}

Response

{
  "count": 107
}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read SCIM Log

  • Project Owner
  • Project Admin
  • Project Member
  • Read Project SCIM Log
  • Read All Project Resources

Create Permissions

Required to create SCIM Log

This resource cannot be created via the API

Update Permissions

Required to update SCIM Log

This resource cannot be updated via the API

Delete Permissions

Required to delete SCIM Log

This resource cannot be deleted via the API